services:
  meilisearch:
    image: "getmeili/meilisearch:v1.6.2"
    ports:
      - "7700:7700"
    environment:
      MEILI_MASTER_KEY: fluffybunnyrabbit
      MEILI_NO_ANALYTICS: true
    volumes:
      - "meili_data:/meili_data"
  
  jukebox-software:
    build: .
    init: true
    ports:
      - "5000:5000"
      - "8000:8000"
      - "9000:9000"
    environment:
      - PYTHONUNBUFFERED=1
    depends_on:
      - meilisearch
  
  jukebox-web:
    build: jukebox-web
    ports:
      - "3000:3000"

volumes:
  meili_data: